Package Details: python-spacy-git 2.1.0a4.r9320.0f83b98a-4

Git Clone URL: https://aur.archlinux.org/python-spacy-git.git (read-only, click to copy)
Package Base: python-spacy-git
Description: A free open-source library for Natural Language Processing in Python
Upstream URL: https://spacy.io/
Licenses: MIT
Conflicts: python-spacy
Provides: python-spacy
Submitter: DanManN
Maintainer: None
Last Packager: DanManN
Votes: 0
Popularity: 0.000000
First Submitted: 2018-12-06 00:27
Last Updated: 2018-12-22 04:30

Latest Comments

DanManN commented on 2020-05-04 22:05

@steinbuch I've found that spacy freezes the versions of many of their requirements and also the requirements of their requirements. Thus I've sort of given up maintaining this git version of spacy. I recommend using the non git version: https://aur.archlinux.org/packages/python-spacy/ or installing in a virtualenv with pip.

steinbuch commented on 2020-05-04 20:13

Error at cythonize:

Processing nn_parser.pyx

Error compiling Cython file:
------------------------------------------------------------
...
                state = <StateC*>beam.at(i)
                if not state.is_final():
                    self.moves.set_valid(beam.is_valid[i], state)
                    memcpy(beam.scores[i], c_scores, scores.shape[1] * sizeof(float))
                    c_scores += scores.shape[1]
            beam.advance(_beam_utils.transition_state, _beam_utils.hash_state, <void*>self.moves.c)
                                ^
------------------------------------------------------------

nn_parser.pyx:418:36: Cannot assign type 'int (void *, void *, class_t, void *) except -1' to 'trans_func_t'